#!/bin/bash
cp /usr/local/nowatel/system-logo-white.png /usr/share/pixmaps/system-logo-white.png
/usr/sbin/plymouth-set-default-theme spinfinity -R
dracut -f
if grep "GRUB_GFXPAYLOAD_LINUX" /etc/default/grub &> /dev/null
then
	echo "GRUB_GFXPAYLOAD_LINUX Exists"
else
	echo 'GRUB_GFXPAYLOAD_LINUX=keep' >> /etc/default/grub
fi

if grep "GRUB_TERMINAL_OUTPUT" /etc/default/grub &> /dev/null
then
        echo "GRUB_TERMINAL_OUTPUT Exists"
else
	echo 'GRUB_TERMINAL_OUTPUT="gfxterm"' >> /etc/default/grub
fi

if grep "GRUB_GFXMODE" /etc/default/grub &> /dev/null
then
        echo "GRUB_GFXMODE Exists"
else
	echo 'GRUB_GFXMODE="1900x1080x32"' >> /etc/default/grub
fi

if [ -e /etc/grub2.cfg ]
then
	grub2-mkconfig -o /boot/grub2/grub2.cfg
elif [ -e /etc/grub2-efi.cfg ]
then
	grub2-mkconfig -o /boot/efi/EFI/centos/grub.cfg
fi
